# 現在のユーザーのクランを更新する

ユーザー属性を通じて現在のユーザーのクランを更新します。以前のクランで請求されなかった報酬チェーンのすべての報酬を請求し、応答に返します。クランに所属していたユーザーが、現在はクランに所属していない場合、クランへの所属は取り消されます。ユーザーがクランを変更した場合、クランは変更されます。


  注意
    このAPIコールはユーザーJWTを使用して認証を行います。
    トークンはAuthorizationヘッダーへ次の形式でトークンを設定します：Bearer &lt;user_JWT&gt;。ユーザーJWTに関する詳細情報は、該当コールのセキュリティブロックで確認できます。

Endpoint: PUT /v2/project/{project_id}/user/clan/update
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。

## Response 200 fields (application/json):

  - `reward` (array)

  - `reward.sku` (string)
    一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

  - `reward.name` (string)
    アイテム名。
    Example: "Super box"

  - `reward.type` (string)
    アイテムタイプ。
    Example: "bundle"

  - `reward.description` (string)
    アイテムの説明。
    Example: "Super box with items"

  - `reward.image_url` (string)
    画像URL。

  - `reward.quantity` (integer)
    アイテム数量。
    Example: 2

  - `reward.bundle_type` (string)
    バンドルタイプ。アイテムタイプがバンドルの場合に返されます。
    Enum: "standard", "virtual_currency_package"

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1501

  - `errorMessage` (string)
    Example: "[0401-1501]: Authorization failed: Provide authorization"


